# Turn off the brp-python-bytecompile script
%define __brp_python_bytecompile %{nil}

Name:           qarte
Version:        5.5.0
%define subrel  1
Release:        %mkrel 1
Summary:        A browser for the arte.tv website
License:        GPLv3
Group:          Video/Utilities
Url:            https://launchpad.net/qarte
Source0:        https://oqapy.eu/releases/%{name}-%{version}.tar.gz
Patch0:         qarte-5.5.0-fix-m3u8-2.0.0-support.patch

Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-multimedia
Requires:       python3-qt5-multimediawidgets
Requires:       python3-qt5-svg
Requires:       python3-qt5-widgets
Requires:       python3dist(m3u8)
Requires:       rtmpdump

BuildArch:      noarch

%description
Qarte lets you browse the archives of arte+7 & arteLiveWeb sites, and record
your favourite programs.

%prep
%autosetup -p1

%build

%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_datadir}/%{name}
cp -a *.py* medias gui \
      %{buildroot}%{_datadir}/%{name}

install -D -m 644 q_arte.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

install -D -m 644 locale/de/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
install -D -m 644 locale/fr/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo
install -D -m 644 locale/pt/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/pt/LC_MESSAGES/%{name}.mo

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Oct 25 2023 akien <akien> 5.5.0-1.1.mga9
+ Revision: 2001632
- Fix support for m3u8 >= 2.0.0 (mga#31591)
- Version 5.5.0
- Version 5.4.0

* Fri Feb 24 2023 daviddavid <daviddavid> 5.2.1-2.mga9
+ Revision: 1945260
- add missing dependency on python3-m3u8 (mga#31591)

* Tue Jan 24 2023 daviddavid <daviddavid> 5.2.1-1.mga9
+ Revision: 1935530
- new version: 5.2.1

* Tue Nov 15 2022 daviddavid <daviddavid> 5.1.0-1.mga9
+ Revision: 1907723
- new version: 5.1.0
- relax PyQt5 dependencies

* Mon Mar 21 2022 umeabot <umeabot> 4.16.0-2.mga9
+ Revision: 1816576
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 akien <akien> 4.16.0-1.mga9
+ Revision: 1789759
- Version 4.16.0

* Fri Sep 03 2021 marja <marja> 4.14.0-1.mga9
+ Revision: 1744262
- New version 4.14.0, fixes mga#29380
- (Crash on starting)

* Thu Oct 22 2020 daviddavid <daviddavid> 4.11.0-1.mga8
+ Revision: 1638114
- new version: 4.11.0

* Mon Mar 02 2020 daviddavid <daviddavid> 4.7.0-1.mga8
+ Revision: 1552988
- new version: 4.7.0
- remove unneeded dependency on python-notify

* Fri Feb 14 2020 umeabot <umeabot> 4.6.0-2.mga8
+ Revision: 1519742
- Mageia 8 Mass Rebuild

* Thu Oct 18 2018 zezinho <zezinho> 4.6.0-1.mga7
+ Revision: 1322068
- new version 4.6.0

* Fri Sep 21 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1292841
- Mageia 7 Mass Rebuild
+ zezinho <zezinho>
- new version

* Sun Feb 11 2018 zezinho <zezinho> 3.13.0-1.mga7
+ Revision: 1200535
- new version 3.13

* Tue Sep 12 2017 zezinho <zezinho> 3.11.0-1.mga7
+ Revision: 1153232
- new version

* Tue Aug 29 2017 zezinho <zezinho> 3.10.0-1.mga7
+ Revision: 1148438
- new version MGA #21589

* Thu May 04 2017 akien <akien> 3.7.0-1.mga6
+ Revision: 1098986
- Version 3.7.0

* Mon Mar 13 2017 zezinho <zezinho> 3.6.1-1.mga6
+ Revision: 1092489
- new version 3.6.1 \-icon perms fixed

* Thu Oct 27 2016 zezinho <zezinho> 3.5.0-1.mga6
+ Revision: 1063754
- new version 3.5.0

* Sun Oct 09 2016 zezinho <zezinho> 3.4.0-2.mga6
+ Revision: 1059857
- fix new PyQt5 deps

* Sun Oct 09 2016 zezinho <zezinho> 3.4.0-1.mga6
+ Revision: 1059837
- new version

* Mon Feb 15 2016 zezinho <zezinho> 2.8.0-1.mga6
+ Revision: 960953
- new version

* Wed Jan 27 2016 zezinho <zezinho> 2.7.0-1.mga6
+ Revision: 928195
- new version

* Mon Nov 16 2015 zezinho <zezinho> 2.6.0-1.mga6
+ Revision: 903681
- new version 2.6.0

* Sat Oct 31 2015 dtux <dtux> 2.5.0-1.mga6
+ Revision: 896891
- Update to version 2.5.0 due to modification of Arte website making qarte unfunctional.

* Fri Apr 24 2015 akien <akien> 2.3.0-1.mga5
+ Revision: 820695
- Version 2.3.0
- Requires python-notify for some features

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 738926
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 688462
- Mageia 5 Mass Rebuild

* Wed Sep 10 2014 zezinho <zezinho> 2.2.0-1.mga5
+ Revision: 674521
- new version

* Tue May 13 2014 zezinho <zezinho> 2.0.2-1.mga5
+ Revision: 622440
- new version 2.0.2

* Mon May 12 2014 zezinho <zezinho> 2.0.1-1.mga5
+ Revision: 622210
- new version 2.0.1

* Mon May 12 2014 zezinho <zezinho> 2.0.0-1.mga5
+ Revision: 622119
- new version 2.0.0
- new version 2.0.0

* Mon Jan 27 2014 zezinho <zezinho> 1.9.0-1.mga4
+ Revision: 568391
- new version fixes the crash on quit bug

* Tue Oct 22 2013 umeabot <umeabot> 1.8.5-4.mga4
+ Revision: 546102
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 zezinho <zezinho> 1.8.5-3.mga4
+ Revision: 520908
- fix l10n

* Thu Oct 17 2013 zezinho <zezinho> 1.8.5-2.mga4
+ Revision: 502167
- add manpage
- fix requires

* Wed Oct 16 2013 zezinho <zezinho> 1.8.5-1.mga4
+ Revision: 501750
- fix desktop file
- imported package qarte

